Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.query
Class OrderableItem

    java.lang.Object
      org.apache.openjpa.persistence.query.AbstractVisitable
          org.apache.openjpa.persistence.query.OrderableItem

All Implemented Interfaces:
  Serializable, OrderByItem, Visitable

    public class OrderableItem

extends AbstractVisitable
implements OrderByItem, Visitable

Denotes an item of ORDER BY clause.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`CLOSE_BRACE, COMMA, EMPTY, OPEN_BRACE, SPACE`

Constructor Summary
`OrderableItem(ExpressionImpl path)`
`OrderableItem(ExpressionImpl path, Boolean asc)`

Method Summary
`String` | `asExpression(AliasContext ctx)` Get a JPQL fragment as used in WHERE clause.
`ExpressionImpl` | `getExpression()`

Methods inherited from class org.apache.openjpa.persistence.query.AbstractVisitable
`asJoinable, asProjection, getAliasHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.openjpa.persistence.query.Visitable
`asJoinable, asProjection, getAliasHint`

Constructor Detail

### OrderableItem

    OrderableItem(ExpressionImpl path)

### OrderableItem

    OrderableItem(ExpressionImpl path,
                  Boolean asc)

Method Detail

### getExpression

    public ExpressionImpl getExpression()

### asExpression

    public String asExpression(AliasContext ctx)

  Description copied from interface: `Visitable`
  Get a JPQL fragment as used in WHERE clause.

  Specified by:
    `asExpression` in interface `Visitable`
  Overrides:
    `asExpression` in class `AbstractVisitable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.